CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
booster::regex_error Class Reference

Exception that is thrown in case of creation of invalid regex. More...

`#include <booster/booster/perl_regex.h>`

Inheritance diagram for booster::regex_error:

## Public Member Functions
| regex_error (std::string const &s)
Public Member Functions inherited from booster::runtime_error
| runtime_error (std::string const &s)
Public Member Functions inherited from booster::backtrace
| backtrace (size_t frames_no=default_stack_size)
size_t | stack_size () const
void * | return_address (unsigned frame_no) const
void | trace_line (unsigned frame_no, std::ostream &out) const
std::string | trace_line (unsigned frame_no) const
std::string | trace () const
void | trace (std::ostream &out) const

## Additional Inherited Members
Static Public Attributes inherited from booster::backtrace
static size_t const | default_stack_size = 32

## Detailed Description

Exception that is thrown in case of creation of invalid regex.

The documentation for this class was generated from the following file:

- booster/perl_regex.h